typedef unsigned char BYTE;

// Offset for uu-code generation
#define OFFSET    0x30

/*****************************************************************************
C U U C o d e                                              En-/Decoding UUCode
==============================================================================

This class contains methods for encoding and decoding uu-code.

Public methods
--------------
Encode()
    encodes a byte sequence into uu-code.

  
Decode()
    decodes uu-code to a byte sequence.

Private methods
---------------
Byte2UUCode()
    converts up to 3 bytes into uu-code.

UUCode2Byte()
    converts up to 4 bytes of uu-code into bytes.

Private properties
------------------
mpbByteStream
    points to the next bytes to be converted

mpbUUCodeStream
    points to the next uu-coded bytes to be converted

*****************************************************************************/

class CUUCode {

public:
  long Encode(BYTE *pbByteStream, BYTE *pbUUCodeStream, long lNoBytes);
  long Decode(BYTE *pbUUCodeStream, BYTE *pbByteStream, long lNoUUCode);

private:
  void Byte2UUCode(int nNumber);
  void UUCode2Byte(int nNumber);

  BYTE *mpbByteStream;
  BYTE *mpbUUCodeStream;
}; //CUUCode

// ===============
// end of uuCode.h
// ===============
