/*****************************************************************************
S r c D r v                                Portable Source Code WibuKey Driver
==============================================================================
cldio.c:                                      Direct In/Out API Implementation
==============================================================================

This C source file implements following special WibuKey API functions:
  WkbLowWakeUp(), WkbLowWriteByte(), WkbLowReadByte(),
  WkbLowTermCmd(), WkbLowGetTValue(), WkbLowReset().

These functions are only available in the DOS driver for
direct testing the low level parts of the WIBU-BOX communication.

==============================================================================

The public WibuKey source driver (SRCDRV) bases on the WIBU-SYSTEMS
internally used portable driver which is used for WKWIN32.DLL, WKWIN.DLL,
WIBUKEY.SYS, WIBUKEY.VXD and WKDOS.EXE.

The SRCDRV driver variant supports the full WibuKey API functionality except
indirect encryption, Expiration Dates, WkLAN, diagnosis event recording and
some minor features.

The SRCDRV can be used for several DOS extender programs or in special
hardware, system or processor technology environments.

All sources are written in ANSI C, except the using of C++ style single line
comments.

==============================================================================

Copyright  1992 - 2010 by WIBU-SYSTEMS AG
           Rueppurrer Strasse 52, D-76137 Karlsruhe, Germany/Europe
           Website: http://www.wibu.com, Email: info@wibu.com
           Phone: +49-721-93172-0, Fax: +49-721-93172-22
           All rights reserved.

Version .. 4.31 of 2010-Jun-24
Project .. wibu/wk/dev/drv/src
Author ... Marcellus Buchheit (mabu)
System ... All Posix OS
Tools .... GNU/gcc 3.3.x, gcc 4.0.x

Change Report
93Mar11 1.33 mabu: version 1.33 released
93Aug08 1.35 mabu: included into universal WibuKey driver library for DOS
94Mar08 2.00 mabu: low level driver variants added
94Dec20 2.01 mabu: function WkbLowReset() added
96Jun23 2.13 mabu: renamed from BSDIO.C
98Mar16 2.41 mabu: begin of adaptation to new driver class model
10Jun24 4.31 ha:   build update

*****************************************************************************/

#include "proj.h"



// ===================================
// end of cldio.c
// ===================================
