/*****************************************************************************
S r c D r v                                Portable Source Code WibuKey Driver
==============================================================================
config.h                                            Central config header file
==============================================================================

This header file contains all plattform depends.

==============================================================================

All sources are written in ANSI C, except the using of C++ style single line
comments.

==============================================================================

Copyright  1992 - 2010 by WIBU-SYSTEMS AG
           Rueppurrer Strasse 52, D-76137 Karlsruhe, Germany/Europe
           Website: http://www.wibu.com, Email: info@wibu.com
           Phone: +49-721-93172-0, Fax: +49-721-93172-22
           All rights reserved.

Version .. 4.31 of 2010-Jun-24
Project .. wibu/wk/dev/drv/src
Author ... Heiko Abraham (ha)
System ... Linux, Mac OS X, Sun Solaris 9
Tools .... GNU/gcc 3.3.x, gcc 4.0.x

Change Report
05Apr12 3.02 ha: start of config.h
10Jun24 4.31 ha:   build update

*****************************************************************************/

#ifndef _WK_CONFIG_H_
#define _WK_CONFIG_H_

#if defined(__linux__)
  #define HPUX_PA    0
  #define LINUX      1
  #define _UNIX      1 
  #define MACOS      0
#elif defined(__APPLE__)
  #define HPUX_PA    0
  #define LINUX      0
  #define _UNIX      1 
  #define MACOS      1
#elif defined(_WIN32)
  #define HPUX_PA    0
  #define LINUX      0
  #define _UNIX      0 
  #define MACOS      0
#elif defined(__sun) || defined(sun) || defined(__sun__)
  #define HPUX_PA    0
  #define sun        1
  #define LINUX      0
  #define _UNIX      1 
  #define MACOS      0
  #if defined(__sparc)
    /* define it if we compile on Sun Ultra-Sparc */
    #define SOL_USPARC 1
  #endif
#elif defined(_hpux)
  /* define it if we compile on HP-UX-PA*/
  #define HPUX_PA    1
  #define _UNIX      1 
  #define LINUX      0
  #define MACOS      0
#elif defined(_irix)
  /* define it if we compile on Sgi O2 */
  #define HPUX_PA    0
  #define IRIX_MIPS  1
  #define LINUX      0
  #define _UNIX      1 
  #define MACOS      0
#elif defined(_aix)
  /* define it if we compile on AIX 5 */
  #define HPUX_PA    0
  #define AIX        1
  #define _UNIX      1 
  #define LINUX      0
  #define MACOS      0
#else
  #error "unknown platform, please edit 'config.h'"
#endif 


#if ( defined(__BIG_ENDIAN__) ) || ( __BYTE_ORDER == __BIG_ENDIAN ) || defined(__PPC__) || defined(__ppc__)
  #define  BSR_BIG_ENDIAN 1
#endif



/* define it, if you want more debug output */
/* #define TEST_DEBUG  1 */
#undef TEST_DEBUG


#undef WIN16DLL
#undef WINVXD 
#undef NTKRNL 
#undef DOSASM 
#undef RESLOC 
#undef RESNET 
#undef RESDIAG 


#define DRVFULL 1
#define DRVREDIR 1
#define NETACC 0        /* driver implements the WkNet access. */
#define LANACC 1
#define ABSTIME 0
#define INDCRYPT 1      /* driver implemets indirect encryption */

#define MAC_MACHO 1

#define USE_USB 1
#define BSR16 0


#ifndef INADDR_NONE
  #define INADDR_NONE ((in_addr_t) 0xffffffff)
#endif


#endif /* _WK_CONFIG_H_ */
