/*****************************************************************************
S r c D r v                                Portable Source Code WibuKey Driver
==============================================================================
mncalls.c                                      Inter-driver calling management
==============================================================================

This C source file implements functions which are called from one WibuKey
driver via different dynamic linking methods in other WibuKey drivers.

This module is only implemented in
WKWIN.DLL, WKWIN32.DLL, WIBUKEY.SYS and WIBUKEY.VXD.

==============================================================================

The public WibuKey source driver (SRCDRV) bases on the WIBU-SYSTEMS
internally used portable driver which is used for WKWIN32.DLL, WKWIN.DLL,
WIBUKEY.SYS, WIBUKEY.VXD and WKDOS.EXE.

The SRCDRV driver variant supports the full WibuKey API functionality except
indirect encryption, Expiration Dates, WkLAN, diagnosis event recording and
some minor features.

The SRCDRV can be used for several DOS extender programs or in special
hardware, system or processor technology environments.

All sources are written in ANSI C, except the using of C++ style single line
comments.

==============================================================================

Copyright  1993 - 2010 by WIBU-SYSTEMS AG
           Rueppurrer Strasse 52, D-76137 Karlsruhe, Germany/Europe
           Website: http://www.wibu.com, Email: info@wibu.com
           Phone: +49-721-93172-0, Fax: +49-721-93172-22
           All rights reserved.

Version .. 4.31 of 2010-Jun-24
Project .. wibu/wk/dev/drv/src
Author ... Marcellus Buchheit (mabu)
System ... All Posix OS
Tools .... GNU/gcc 3.3.x, gcc 4.0.x

Change Report
92Sep13 1.33 mabu: start of development
93Mar18 1.33 mabu: custom source variant released
93Mar21 1.35 mabu: adaption to Windows
93Apr13 1.35 mabu: initial release
93Jun22 1.35 mabu: adapation to Win32s
93Aug21 2.00 mabu: adapted to WibuKey version 2
94Apr26 2.00 mabu: adaptation to Windows NT kernel driver
94Nov11 2.00 mabu: version 2.00 released
95Feb09 2.02 mabu: version handshaking with NT kernel driver implemented
95Dec26 2.10 mabu: calling of Windows 95 WIBUKEY.VXD implemented.
95Dec26 2.10 mabu: Windows 95 WIBUKEY.VXD caller implemented
96Jan29 2.10 mabu: parts of NTDISP.C file included
96Jan30 2.10 mabu: renamed from UNICALL.C
96Oct19 2.15 mabu: receiving WkDOS calling from CLCOMMON.C
96Oct25 2.20 mabu: closing all opened WIBU-BOX entries when application closes
96Oct29 2.20 mabu: dispatching of ACCESS and RELEASE datagrams
97Feb10 2.25 mabu: handling of WKF_PROGRAMLOW internal datagram
97Feb24 2.25 mabu: invalid driver version returns WKB_ERROR_KRNL_COMMUNICATION
97Feb27 2.30 mabu: error return mechanism simplified
97Aug01 2.31 mabu: adding of WkLAN datagram little/big endian converting
98Feb01 2.41 mabu: calling of WIBUKEY.SYS under Windows 98
98Mar16 2.41 mabu: calling of WIBUKEY.SYS under Windows 98 disabled
98May20 2.50 mabu: BSRMODVERSION structure replaces ausVersion[4]
10Jun24 4.31 ha:   build update

*****************************************************************************/

#include "proj.h"


// =====================================
// end of mncalls.c
// =====================================
