/*****************************************************************************************
D r v C                                              Portable WibuKey Driver, Written in C
==========================================================================================
mnlan.c                                               WkLAN network management
==========================================================================================

This C source file implements the management of the hot-linking WibuKey
network WkLAN. It is only implemented in WKWIN.DLL, WKWIN32.DLL and
WIBUKEY.VXD.

==========================================================================================

The portable WibuKey driver source is used under the following systems:
 - WKDOS2(d).LIB - for internal use to link to DOS programs.
 - WKWIN.DLL - 16 Bit calling driver on 32 Bit Windows systems.
 - WKWIN32.DLL - 32 Bit Windows calling driver.
 - WIBUKEY.SYS - NT based kernel driver.
 - WIBUKEY.VXD - W9x based kernel driver.
 - WkMAC.LIB - MacOS 9 driver (Shared Lib).
 - WkMacLibX.Framework - MacOS X driver.
 
All sources are written in ANSI C, except the using of C++ style
single line comments.

==========================================================================================

Copyright  1992-2010 by WIBU-SYSTEMS AG
           Rueppurrer Strasse 52-54, D-76137 Karlsruhe, Germany/Europe
           Website: http://www.wibu.com, Email: info@wibu.com
           Phone: +49-721-93172-0, Fax: +49-721-93172-22
           All rights reserved.

Version .. 4.31 of 2010-Jun-24
Project .. wibu\wk\dev\runtime\drv\c
Author ... Marcellus Buchheit (mabu), Alexander Schmitt (as)
System ... All Posix OS
Tools .... GNU/gcc 3.3.x, gcc 4.0.x

Change Report
93Feb01 1.33 mabu: start of development
93Jun06 1.35 mabu: conversation to large memory model
93Nov01 2.00 mabu: first adaptation to Win32 API
96Jan30 2.10 mabu: renamed from LANMGR.C
96May13 2.11 mabu: redesigned from DOS mailslots to TCP/IP sockets
96Aug22 2.14 mabu: full dynamic access to sockets
96Aug31 2.14 mabu: support of physical IP addresses (a.b.c.d form)
96Nov01 2.20 mabu: support of multiple-server lists
96Nov04 2.20 mabu: new UPD timeout mechanism integrated
96Dec06 2.21 mabu: saving of subsystem Firm/User Code in base system structure
97Jan09 2.22 mabu: accepting of WKB_USE_OFFSET in WKBACCESS structure
97Feb11 2.25 mabu: Unicode adaptation in WKBACCESS structure
97Feb25 2.30 mabu: adding of scanning dialog
97Jun22 2.31 mabu: convert to Macintosh & original sockets
97Aug01 2.31 mabu: Unicode setting by WKBACCESS::flCtrl
97Aug06 2.31 mabu: proper setting of LOGON flags
97Oct19 2.40 mabu: management of WKB_NETUSER_REG
97Oct29 2.40 mabu: dynamic update of WkbQuerySystem2() information
98Jan25 2.41 mabu: server enumeration with IP addresses added
98Jan31 2.41 mabu: quick & dirty multi-instance support in WKWIN.DLL
98Feb19 2.41 mabu: adding of progress bar in scan dialog
98Apr15 2.41 mabu: proper reading of big Socket stream blocks
99Feb11 2.52 mabu: implementation of new localization management
00Aug17 3.00 as:   IP check for excluding UDP included
00Oct04 3.00 as:   MacOS TCP/IP (Socket) adaptation
03Jan29 3.31 as:   redesign of the reconnection to the server
03May23 3.32 as:   Memory Leak in LogonServerDirect fixed
10Jun24 4.31 ha:   build update

*****************************************************************************************/


#include "proj.h"



// =========================================
// wibu\wk\dev\runtime\drv\c: end of mnlan.c
// =========================================
