/*****************************************************************************
S r c D r v                                Portable Source Code WibuKey Driver
==============================================================================
mnnet.c                                        WkNet network client management
==============================================================================

This module implements the management of the warm-linking WibuKey network
WkNet.

==============================================================================

The public WibuKey source driver (SRCDRV) bases on the WIBU-SYSTEMS
internally used portable driver which is used for WKWIN32.DLL, WKWIN.DLL,
WIBUKEY.SYS, WIBUKEY.VXD and WKDOS.EXE.

The SRCDRV driver variant supports the full WibuKey API functionality except
indirect encryption, Expiration Dates, WkLAN, diagnosis event recording and
some minor features.

The SRCDRV can be used for several DOS extender programs or in special
hardware, system or processor technology environments.

All sources are written in ANSI C, except the using of C++ style single line
comments.

==============================================================================

Copyright  1991 - 2010 by WIBU-SYSTEMS AG
           Rueppurrer Strasse 52, D-76137 Karlsruhe, Germany/Europe
           Website: http://www.wibu.com, Email: info@wibu.com
           Phone: +49-721-93172-0, Fax: +49-721-93172-22
           All rights reserved.

Version .. 4.31 of 2010-Jun-24
Project .. wibu/wk/dev/drv/src
Author ... Marcellus Buchheit (mabu), Markus Balb (marb)
           Markus Neumann (mn)
System ... All Posix OS
Tools .... GNU/gcc 3.3.x, gcc 4.0.x

Change Report
95Feb07 2.05 mabu: initial version, adapted from WKNETDOS.C module
95Oct23 2.08 tg:   retry loop for file locking inserted
96Jan30 2.10 mabu: renamed from NETMGR.C
96Apr04 2.11 mabu: proper setting of return value for WkNet encryption
96Jul16 2.13 mabu: GetSystemTime() replaced by GetLocalTime()
96Jul16 2.13 marb: adapation to Watcom C++
96Dec06 2.21 mabu: saving of subsystem Firm/User Code in base system structure
97Feb11 2.25 mabu: Unicode adaptation in WKBACCESS structure
97Mar09 2.31 mabu: endian independent WkNet file implementation (Macintosh)
97Apr05 2.31 mabu: WkNet access for the Macintosh implemented
97Aug03 2.31 mabu: Unicode setting by WKBACCESS::flCtrl
97Aug03 2.31 mabu: support of WKB_OPEN_MULTIFIND by WkNet
97Oct27 2.40 mabu: updated WKBSYSTEM information implemented
97Oct27 2.40 mabu: dynamic setting of WkNet maximum users by server supported
97Feb24 2.41 mabu: checking of maximum WkNet file/local time delay value
00Jul28 3.00 mn:   Linux Mandatory file locking (Byte-locking)
10Jun24 4.31 ha:   build update

*****************************************************************************/

#include "proj.h"


// ===================================
// end of mnnet.c
// ===================================
